
#include <LiquidCrystal_PCF8574.h>
#include <Wire.h>
LiquidCrystal_PCF8574 lcd(0x3f);

#include <SoftwareSerial.h>
SoftwareSerial sSerial(10, 11); // RX, TX

void setup() 
{
sSerial.begin(9600);
lcd.begin(20,4);     
lcd.setBacklight(255);
lcd.clear();
lcd.print("Serial -> LCD       ");
lcd.print("pin D10 for RX      ");
lcd.print("9600 baud           ");
delay(2000);

}

void loop() 
{
  int c;
 while (sSerial.available())
    {
      c = sSerial.read();
      if (c == '$')
        lcd.setCursor(0,0);
      else
        lcd.write(c);
    }

}
